#! /bin/bash

set -eu

cd "$(dirname $0)"

PARENT=$(hg summary | egrep ^parent | cut -d ' ' -f 2)
COMMIT=$(hg summary | egrep ^commit | cut -d ' ' -f 2)
if [[ "$COMMIT" == "(clean)" ]]
then
	VERSION="$PARENT"
else
	VERSION="$PARENT + $COMMIT"
fi

RELEASE_DIR="$(mktemp -d)"

echo "Releasing $VERSION into $RELEASE_DIR"

./build.sh

cp meta-inf/manifest.mf "$RELEASE_DIR/manifest.mf"
echo "Implementation-Version: $VERSION" >>"$RELEASE_DIR/manifest.mf"

cd build
jar cfm "$RELEASE_DIR/unserialize.jar" "$RELEASE_DIR/manifest.mf" *
cd - >/dev/null

rm -rf build/*
tail -n +3 .hgignore >"$RELEASE_DIR/exclude.list"
echo $VERSION | zip -9rqz "$RELEASE_DIR/unserialize.zip" * -x@"$RELEASE_DIR/exclude.list"

