import java.util.List;
import java.util.Map;
import java.util.LinkedHashMap;

class ClassData {
	
	private static final float LOAD_FACTOR = 0.75f;
	
	private ClassDesc classDesc;
	private Map<FieldDesc, Object> values;
	private List<ContentDesc> annotation;
	
	public ClassData(ClassDesc classDesc) {
		this.classDesc = classDesc;
		values = new LinkedHashMap<FieldDesc, Object>(((int)(classDesc.getFields().size() / LOAD_FACTOR) + 1), LOAD_FACTOR);
	}
	
	public ClassDesc getClassDesc() {
		return classDesc;
	}
	
	public Map<FieldDesc, Object> getValues() {
		return values;
	}
	
	public void put(FieldDesc field, Object value) {
		values.put(field, value);
	}
	
	public List<ContentDesc> getAnnotation() {
		return annotation;
	}
	
	public void setAnnotation(List<ContentDesc> annotation) {
		this.annotation = annotation;
	}
	
}
