import java.util.List;
import java.util.Map;
import java.util.LinkedHashMap;

class ObjectDesc extends ContentDesc {
	
	private ClassDesc classDesc;
	private List<ClassData> data;
	
	public ObjectDesc(ClassDesc classDesc, List<ClassData> data) {
		this.classDesc = classDesc;
		this.data = data;
	}
	
	public ClassDesc getClassDesc() {
		return classDesc;
	}
	
	public List<ClassData> getClassData() {
		return data;
	}
	
	public Map<FieldDesc, Object> getFieldValues() {
		Map<FieldDesc, Object> values = new LinkedHashMap<FieldDesc, Object>();
		for (ClassData cdata: data) {
			values.putAll(cdata.getValues());
		}
		return values;
	}
	
	public Map<ClassDesc, List<ContentDesc>> getAnnotations() {
		Map<ClassDesc, List<ContentDesc>> annotations = new LinkedHashMap<ClassDesc, List<ContentDesc>>();
		for (ClassData cdata: data) {
			List<ContentDesc> annotation = cdata.getAnnotation();
			if (annotation != null) annotations.put(cdata.getClassDesc(), annotation);
		}
		return annotations;
	}
	
}
